# Uses of Interface
org.eclipse.emf.cdo.CDOObjectHistory

Packages that use CDOObjectHistory
Package
Description
org.eclipse.emf.cdo
Client concepts like `CDOObject` and `CDOState`.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.internal.cdo
Exposes `CDOObjectImpl` for extension in generated EMF models.

## Uses of CDOObjectHistory in org.eclipse.emf.cdo

Methods in org.eclipse.emf.cdo that return CDOObjectHistory
Modifier and Type
Method
Description
`CDOObjectHistory`
CDOObject.`cdoHistory()`

## Uses of CDOObjectHistory in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return CDOObjectHistory
Modifier and Type
Method
Description
`CDOObjectHistory`
CDOPushTransaction.`getHistory(CDOObject object)`

## Uses of CDOObjectHistory in org.eclipse.emf.internal.cdo

Methods in org.eclipse.emf.internal.cdo that return CDOObjectHistory
Modifier and Type
Method
Description
`final CDOObjectHistory`
CDOObjectImpl.`cdoHistory()`